<?php
	session_start();
	include 'koneksi.php';
	
	if(isset($_POST['tambah'])) {
		$username 	= $_SESSION['username'];	
		$isbn		= $_POST['isbn'];
		$judul		= $_POST['judul'];
		$pengarang	= $_POST['pengarang'];
		$penerbit	= $_POST['penerbit'];
		$kategori	= $_POST['kategori'];
		$tahun		= $_POST['tahun'];
		$harga		= $_POST['harga'];
		$jumlah		= $_POST['jumlah'];
		$keterangan	= $_POST['keterangan'];

		if($_FILES['gambar']['name']) {
			move_uploaded_file($_FILES['gambar']['tmp_name'],'images/'.$judul.'.jpg');
			$profil = 'images/'.$judul.'.jpg';
		}

		$tambah = mysqli_query($koneksi,"INSERT INTO t_buku VALUES('$isbn', '$judul', '$pengarang', '$penerbit', '$kategori', '$tahun', '$harga', '$jumlah', '$profil', '$keterangan', '$username')") or die(mysqli_error());
		
		if($tambah) {
			echo "<script>alert('Data buku $judul berhasil disimpan'); window.location = 'processbook.php'</script>";
		}
		else {
			echo "<script>alert('Gagal menyimpan buku !'); window.location = 'addbook.php'</script>";
		}			
	}
?>